Subject: bug#33137: [Wishlist] recursive guix lint

From: Efraim Flashner <[email-masked]>
Date: Tue, 30 Oct 2018 09:35:29 +0200

On Sun, Oct 28, 2018 at 11:29:28PM +0100, Ludovic Courtès wrote:
> Efraim Flashner <[email-masked]> skribis:
> 
> > On Thu, Oct 25, 2018 at 03:31:32PM +0200, Ludovic Courtès wrote:
> >> Hello,
> >> 
> >> Efraim Flashner <[email-masked]> skribis:
> >> 
> >> > We have the linter check for CVEs and updates to packages in a list, but
> >> > what about those packages they depend on? It would be great to be able
> >> > to 'guix lint --recursive foo' and get foo and also all the packages in
> >> > the different types of inputs.
> >> 
> >> On the question of CVEs, see also
> >> <https://issues.guix.info/issue/31442>.
> >> 
> >> Do you think --recursive would be useful for other types of linters?
> >> 
> >> Thanks,
> >> Ludo’.
> >
> > Checking for new versions would definately be good.
> 
> But that’s what ‘guix refresh’ does, right?
> 

I assume you mean 'guix lint -c refresh'. 'guix lint -c refresh foo' is
nice, but we don't have anything that could take the place of 'guix lint
-c refresh --recursive foo'

I just saw again 'guix refresh', 'guix refresh --recursive -m
my-manifest.scm' would be great.

> > It seems to me that checking everything would make for better code
> > overall, but the behavior I would expect is that it would check all
> > the linters specified in the command.
> 
> If you run ‘guix lint’ without any arguments, all the packages are
> checked.  Is this what you meant?

I meant more like "hey, khard can be upgraded to 0.12.2, after I've
checked the upgrade with 'guix lint khard', now I'd like to check the rest
of the dependency tree with 'guix lint --recursive khard' to see if
anything else can be upgraded or has any linter errors."

> Thanks,
> Ludo’.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted